Межсайтовый скриптинг в Decoda

Дата публикации:
04.05.2012
Дата изменения:
04.05.2012
Всего просмотров:
869
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Decoda 3.x
Уязвимые версии: Decoda 3.3.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в теге "[video]" в анализаторе разметки. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://milesj.me/code/php/decoda

Решение: Установите последнюю версию 3.3.2 с сайта производителя.

Ссылки: http://www.redteam-pentesting.de/en/advisories/rt-sa-2012-002/-php-decoda-cross-site-scripting-in-video-tags
https://github.com/milesj/php-decoda/commits/master

или введите имя

CAPTCHA